---
title: "A Dark Day for America"
date: 2022-06-29T11:00:09-07:00
tags:
  - real-life
  - politics
---
\[Content Warning - politics, abortion, human rights\]

Last Friday, SCOTUS officially handed down a [previously-leaked decision](https://www.politico.com/news/2022/05/02/supreme-court-abortion-draft-opinion-00029473) overturning  Roe vs. Wade, a legal decision ruling that the U.S. Constitution generally protects a pregnant person's liberty to choose to have an abortion. Without this federal-level decision, the legality of abortion is decided on a state-by-state basis. Many Conservative states had "trigger" laws to ban abortion which immediately went into effect upon this decision; others are debating their response.
<!--more-->
_(Disclaimer - I am neither a lawyer nor someone who could have an abortion; all of this article is based on my own perception, understanding, and reading, which is not an expert opinion. Please do correct me if I've misunderstood something!)_

Even with the warning of the leak, this was a hammer-blow to many people - not just to people who can become pregnant[^1], but also to those who love them, and more broadly to everyone who recognizes this as a continuation of the U.S. Conservative party's concerted and determined attack on human rights (which has previously primarily targeted [trans people](https://www.pbs.org/newshour/politics/why-is-the-gop-escalating-attacks-on-trans-rights-experts-say-the-goal-is-to-make-sure-evangelicals-vote)).

At first I shied away from expressing an opinion on the situation. I have nothing new to say - I can (and try to) amplify the voices of women and other marginalized people about the situation, its repercussions, and appropriate responses, but anything I wrote for myself felt like it would come across as hollow keyboard-warrioring at best, and arrogant self-centering "allyship" at worst (with "useless doom-scrolling fuel" somewhere in the middle). It was [this tweet](https://twitter.com/nlyonne/status/1540807823562625025) that helped me realize that, even if I have nothing new to say, I can still help those affected to feel supported, and I can use my privilege to get through to other privileged people who might not listen to someone who doesn't look like them.

So, to that end:
* Abortion is healthcare. I consider this unequivocally and inarguably true. While it is true that we [shouldn't have to invoke extreme circumstances to support that view](https://twitter.com/jordyvotes/status/1540529686341570561), the fact that ectopic pregnancies exist means that, at the very least, abortion as a procedure _is_ unequivocally life-saving healthcare, and so to legislate against it in entirety is ill-founded. More than that, though, abortion is an expression of the personal liberty and self-determination that the U.S. claims to value so highly. No-one should be compelled against their will to undergo such a disruptive, traumatic, and dangerous experience as pregnancy and childbirth; and it is hypocritical to claim moral high ground by forcing a child into a family that is not able to support it.
  * Opponents of abortion might say "_Opioids are used in healthcare, too - should we make those freely available?_", which is nonsense - abortions are painful and distressing procedures, and I would bet my bottom dollar that no-one is having them recreationally. The availability of abortion does not constitute a [moral hazard](https://en.wikipedia.org/wiki/Moral_hazard) encouraging irresponsible behaviour - abortion is so unpleasant that individuals are still incentivized to use safer sex practices even knowing that abortion is available.
* Most of the arguments against permitting abortion are so fatuous that I won't dignify them with an analysis. Suffice it to say that, when you scratch the surface, they mostly reduce to "_women should be punished for having sex (and especially for having sex outside of marriage)_", or "_women having independence and self-determination is a bad thing_".
  * In particular, the argument that "_Removing the federal ruling means that states can make up their own mind_" can be rejected on grounds both moral ("_Access to healthcare should not be something that states can decide not to provide. It should be a universal human right._") and political ("_Advocating for state-by-state laws is tantamount to suggesting seccession. Why do you hate the **United** States?_").
  * Bear in mind, though, that attempting to respond to emotionally-driven rhetoric with logic-based arguments is a fool's game. Even if you are conversing with someone who shares axioms with you (which is unlikely, given their differing conclusions), logic very rarely has any impact on feelings, and being told "_you're wrong_" is likely to simply entrench those feelings more deeply. If you decide that the best use of your time and energy is in trying to persuade individuals to change their views (this may or may not be the case, depending on many factors! See a later bullet for other productive ways to spend your energy), try to think about what would convince _them_ to change, not what would reassure _you_ of your position.
  * In case it wasn't clear from my description of ~~pro-life~~ pro-death arguments as fatuous, I am not concerned with trying to gently convince Republican voters out of their views. Rather, I am focusing on advising and supporting those who already support human rights.
* In the context of the motivating tweet - while I won't disclose my personal history since that would also require disclosing information related to past partners, I will say that [you almost certainly know and care about someone who has had an abortion](https://twitter.com/DirrrrrrtyDeeee/status/1541433671105662976), and many successful people you admire have benefitted (directly or indirectly) from availability of abortion. Again, this argument shouldn't be necessary - even if abortions were rare, they should still be freely available - but it's hopefully another emotionally-resonant argument to be deployed as appropriate.
* If you're able to, please consider donating to a charity that supports reproductive healthcare. [Planned Parenthood](https://www.plannedparenthood.org/) is a good option (and they have a donation button right on their front-page). If your employer offers donation-matching, use that - otherwise, donate directly to avoid your employer taking an "admin fee" and co-opting that political goodwill by making the donation in their name.
  * On the topic of employer donations, consider reading [this thread](https://twitter.com/migueldeicaza/status/1541069023210872832) about PACs and what you can do about them.
  * Please also consider donating your time or energy, by joining a phone bank, a protest march, or similar demonstration of political will. If you are planning to attend a protest, [read up on how to keep yourself and your comrades safe on social media](https://twitter.com/PugetSupport/status/1287079946364411904).
* I've seen a lot of responses along the lines of "_The Democratic Party is useless, I'm never voting for them again_", which are understandable but, in my opinion, misguided. Yes, the Democrats have let us down massively by not enshrining abortion rights in legislation, by [providing no serious opposition](https://www.independent.co.uk/news/world/americas/us-politics/democrats-roe-v-wade-singing-b2108959.html), and by [basically](https://twitter.com/EoinHiggins_/status/1542101433700552704) having [no real strategy](https://newsletter.danhon.com/archive/s12e30-the-right-to-viable-strategies/) (despite the warning of the leak, to say nothing of the trajectory of Republican strategy over recent years) - and yes, they should be held to account for that and incentivized to do better - but refusing to vote Democrat as an act of protest is cutting off your own nose to spite your face. However ineffectual the Democratic response, they would be even less empowered without votes, and Republicans correspondingly more-empowered. If you believe that the Republican party's agenda is harmful, then restricting their power by whatever means is a good thing. Voting is necessary _but not sufficient_ for improvement.
* I was interested by [this thread](https://twitter.com/MiriamForster/status/1541513593354457088) about how white people (particularly white women) are ill-equipped to to join protest movements, and [this critical response](https://twitter.com/goodfriendraf/status/1541741691715084289). Honestly I'm not sure where my opinion lies, but this is a valuable perspective even if it's not universally true - a reminder that we do not support Social Justice Movements for recognition or kudos, but because they are Right and Good.
* Finally - it's ok to feel exhausted, drained, utterly unable to conceive of any action except rest. That's ok. These are intensely traumatic times. Look after yourself as best you can, [try to limit your doomscrolling](https://twitter.com/JortsTheCat/status/1529699098936287233), and know that you're not alone. Put on your own oxygen mask before helping others.

Tangentially - oh boy, that's a lot of links to tweets. It's getting on for time I should disable my professional account and switch to [write-only mode]({{< ref "/posts/write-only-mode-for-twitter" >}}) there, too.

[^1]: reminder that not all women have uteruses, not all people with uteruses can become pregnant, and not all people with uteruses are women.
