---
title: "Leave of Absence"
date: 2022-06-06T13:04:23-07:00
tags:
  - MentalHealth
---
Last Friday was my last working day for the foreseeable future. I'm taking a Leave Of Absence, meaning I'm still technically employed (and thus retain the all-important Health Insurance and other benefits), but am not working (or getting paid) for three months[^1]. I'm planning to use this time primarily to rest, decompress, and avoid burnout; and then secondarily to think more intentionally about how I want to spend my time and my labour in the future.
<!--more-->
My mental health has been pretty steadily deteriorating over the last year or so, with several contributing factors: as well as the classic Big Picture anxieties about incipient war and/or economic disaster, America's accelerating slide into fascism, and environmental disaster[^2], I've also been feeling unfulfilled at work. I'll gloss over the details here (not least because my non-disparagment clause probably still applies!), but I think it's fair to say that I was neither enthused by the product we were building, nor the way we were building it. The loose philosophy of worthwhile-work that I've been formulating recently ranks Pay, Satisfaction of Work, and Pride in Output from -1 to 1 - you need the sum of those values to add up to _at least_ 0 (and hopefully more!) to feel that work is worthwhile. For example - if you're building a product that you're ambivalent to (0) for terrible pay (-1), you'd better _really_ enjoy the work that you do on it (1) to make it worthwhile. Obviously, each of those ranges will be subjective. I'm certainly on the upper-ends of Pay (though worth noting that [Amazon only recently deployed a pay increase that makes them competitive with the rest of FAANG, and some folks are still displeased](https://www.businessinsider.com/amazon-employee-says-its-not-worth-staying-despite-compensation-increase-2022-4)), but the other two criteria were lacking.

I've tried to be as objective as I can be about these experiences, and recognize that my dissatisfaction arises through the lens of being generally anxious and displeased about the world in general - of course my perception of work is going to be skewed 2 years into a pandemic, with a light sprinkling of government straddling [Hanlon's Razor](https://en.wikipedia.org/wiki/Hanlon%27s_razor) and a side order of global climate disaster! At the same time, the pandemic brought home the importance of living deliberately; life is fragile and possibly-short, and no-one is going to improve it for you. You have to construct the life you want to live. My current situation is moderately-satisfactory, but the best way to improve your life is to shake yourself out of the rut and see from a new perspective without habit or routine[^3].

Don't get me wrong - I would _love_ to happily and proudly return to my "current" job. However, those adverbs are doing a lot of heavy lifting - I suspect that the changes that would need to happen between now and then would be less changes in my perception, and more changes in the company and the organization that I work(ed) for. Rather than saying "_I want to have the opportunity to return to that position_" (I do! This is not in question!), I am saying "_I want the position to become one that I am proud to return to_". Time will tell whether that is possible[^5].

In any case - I try to avoid using shady manipulative engagement-boosting "Call To Action" tactics in these posts, but in this case I genuinely do want to hear experiences of people who've taken similar breaks. How did you fill your time? What structures did you use to make deliberate intentional use of the time? How did you re-evaluate your relationship with work?

[^1]: Similar to a [sabbatical](https://www.google.com/search?q=sabbatical), except that it differs from OED's definition in that 1) it's unpaid, and 2) it's 3 months for nearly 10 years' work, rather than 1 year for 7. Academia certainly has its problems, but this sounds like a pretty sweet deal!
[^2]: [This tweet](https://twitter.com/jonrog1/status/1532202848879923200) helped me reach a measure of peace with the first two, and, y'know, _hopefully_ I'll be dead before the third one really affect me.
[^3]: My emigration from England to the USA was prompted in large part by waking up one day and realizing that my romantic relationship was..._fine_. Satisfactory, bumbling pleasantly along, but not something that enthused or motivated me. Lest you think I uprooted my life as an excuse to get out of a relationship, that line of thinking then led me to recognize that my then-job was similarly fine, and to start thinking about how I'd never lived in any other country (and how that would only get harder as I accumulated commitments and dependents), and, well, one thing led to another[^4]...
[^4]: For the avoidance of doubt, my current primary romantic partnership is spectacular, wondrous, life-affirming, and by quite some measure the best thing to ever happen to me.
[^5]: I have nothing but respect for my coworkers, many of whom are doing great work (and I'm not just saying that because this is public and they might read it!). Rather, the culture of the organization is one that does not align with many things I consider important. I gave significant feedback about this to my manager in the hopes that it will be escalated, and will do so again at the end of the three months, no matter what the outcome.
