---
title: "Meditation"
date: 2022-05-30T13:00:39-07:00
tags:
  - MentalHealth
---
A few days ago, I hit a 100-day streak of meditating using the [Ten Percent Happier app](https://www.tenpercent.com/).

<!--more-->
![100-day-streak](/img/100_days_meditation_streak.jpg)

I was first introduced to the concept of meditation by my dear friend [Olivia](https://twitter.com/babelfishwars/), who is a fount of such excellent advice as "_Stop trying to win at relaxation_" and "_Trust everything [George](https://www.georgelockett.com/shards) says_". She is also the one who persuaded me to engage with therapy, which is the most positively-impactful decision of my life.

Meditation and therapy share a curious property, an apparent contradiction[^1] at their core of each of their practices. Meditation[^2] asks you to let go of your own grasping desire for change, while implicitly acknowledging that this practice will cause you to change in desirable ways. Therapy often consists of "just" talking about your feelings with someone who is echoing your statementsback to you with probing questions, rather than providing fresh insights - and yet, the process can lead to astounding changes in perspective and real changes, despite the lack of any "real" actions.

In both practices, when a proposed approach seems nonsensical or contradictory to my default scientific mindset, I've adopted an attitude of humility - "_ok, this makes no sense to me, but lots of other apparently-nonsensical things in this space have worked well in the past, and you can't solve a problem from the same mindset that created it - just shut up and try it, what have you got to lose?_". I've rarely been disappointed. It feels similar to the practice of asking apparently-paradoxical-or-nonsensical questions - koans[^3] - in Zen Buddhist practice. The incongruity or unexpectedness of the presented approach is precisely what shocks the mind out of standard patterns and into [unasking the question](https://en.wikipedia.org/wiki/Mu_\(negative\)#Non-dualistic_meaning).

I'm very much still starting out on my meditation and mindfulness journey, and I'm excited to see where it leads.

[^1]: apparent, at least, to those who pride themselves on being logical, scientific, rational; the stereotypical male engineer with no liberal arts education. That is - exactly the kind of small-minded selfish (self-)destructive mindset that I'm trying to undo.
[^2]: at least, my understanding of the majority of the lessons from most of the lessons I've undertaken - any inaccuracies here are due to my own lack of understanding. Similar disclaimer for therapy.
[^3]: reapply the above "_I am just a curious amateur and I apologize for any misunderstanding or mischaracterisation_" disclaimer here, but a thousand-fold. My limited exposure to Zen comes from [GEB](https://en.wikipedia.org/wiki/G%C3%B6del,_Escher,_Bach) and [Discordianism](https://en.wikipedia.org/wiki/Discordianism), and not any formal study.