---
title: "The Land of Infinite Fun"
date: 2022-08-04T12:04:45-07:00
tags:
  - snippets
  - transhumanism
  - leisure
  - mathematics

---
Another snippet of literature (following [this one]({{< ref "/posts/treating-people-as-things" >}})) that I think about regularly - this time, from Excession by the late great Iain M. Banks. The Culture Series describes an interstellar post-scarcity civilization, wherein most of the administration and governance is carried out by hyper-advanced AIs called Minds, and biological beings (who live on terraformed planets, on megastructures like [Bishop Rings](https://en.wikipedia.org/wiki/Bishop_Ring_(habitat)), or aboard planet-sized space-faring Ships) are free to pursue leisure and self-improvement. Basically, Fully Automated Luxury Gay Space Communism.
<!--more-->
Excession is the first book to really give insight into the Minds that are the bedrock of the Culture, how they operate and how they view humans ("_as pets who can sometimes be mildly surprisingly capable, but who are normally adorably simple and vulnerable_" is not far off), and how delightfully human they can be in their quibbles, foibles, feuds, obsessions, and indulgences.

{{< blockquote >}}
Technically, it was a branch of metamathematics, usually called metamathics. Metamathics; the investigation of the properties of Realities (more correctly, Reality-fields) intrinsically unknowable by and from our own, but whose general principles could be hazarded at.
Metamathics led to everything else, it led to the places that nobody else had even seen or heard of or previously imagined.
It was like living half your life in a tiny, stuffy, warm grey box, and being moderately happy in there because you knew no better...and then discovering a little hole in one corner of the box, a tiny opening which you could get a finger into, and tease and pull at, so that eventually you created a tear, which led to a greater tear, which led to the box falling apart around you...so that you stepped out of the tiny box's confines into startlingly cool, clear fresh air and found yourself on top of a mountain, surrounded by deep valleys, sighing forests, soaring peaks, glittering lakes, sparkling snowfields and a stunning, breathtakingly blue sky. And that, of course, wasn't even the start of the real story, that was more like the breath that is drawn in before the first syllable of the first word of the first paragraph of the first chapter of the first book of the first volume of the story.
Metamathics led to the Mind equivalent of that experience, repeated a million times, magnified a billion times, and then beyond, to configurations of wonder and bliss even the simplest abstract of which the human-basic brain had no conceivable way of comprehending. It was like a drug; an ultimately liberating, utterly enhancing, unadulterably beneficial, overpoweringly glorious drug for the intellect of machines as far beyond the sagacity of the human mind as they were beyond its understanding.
This was the way the Minds spent their time. They imagined entirely new universes with altered physical laws, and played with them, lived in them and tinkered with them, sometimes setting up the conditions for life, sometimes just letting things run to see if it would arise spontaneously, sometimes arranging things so that life was impossible but other kinds and types of bizarrely fabulous complication were enabled.
Some of the universes possessed just one tiny but significant alteration, leading to some subtle twist in the way things worked, while others were so wildly, aberrantly different it could take a perfectly first-rate Mind the human equivalent of years of intense thought even to find the one tenuously familiar strand of recognisable reality that would allow it to translate the rest into comprehensibility. Between those extremes lay an infinitude of universes of unutterable fascintion, consummate joy and absolute enlightenment. All that humanity knew and could understand, every single aspect, known, guessed at and hoped for in and of the universe was like a mean and base mud hut compared to the vast, glittering cloud-high palace of monumentally exquisite proportions and prodigious riches that was the metamathical realm. Within the infinities raised to the power of infinities that those metamathical rules provided, the Minds built their immense pleasure-domes of rhapsodic philosophical ecstasy.
That was where they lived. That was their home. When they weren't running ships, meddling with alien civilizations or planning the future course of the Culture itself, the Minds existed in those fantastic virtual realities, sojourning beyondward into the multi-dimensions geographies of their unleashed imaginations, vanishingly far away from the single limited point that was reality.
The Minds had long ago come up with a proper name for it; they called it the Irreal, but they thought of it as Infinite Fun. That was what they really knew it as. The Land of Infinite Fun.
It did the experience pathetically little justice.
[...]
There was only one problem with the Land of Infinite Fun, and that was that if you ever did lose yourself in it completely - as Minds occasionally did, just as humans sometimes surrendered utterly to some AI environment - you could forget that there was a base reality at all. In a way, this didn't really mattter, as long as there was somebody back where you came from minding the hearth. The problem came when there was nobody left or inclined to tend the fire, mind the store, look after the housekeeping (or however you wanted to express it), or if somebody or something else - somebody or something from outside[...] - decided they wanted to meddle with the fire in that hearth, the stock in the store, the contents and running of the house; if you'd spent all your time having Fun, with no way back to reality, or just no idea what to do to protect yourself when you did get back there, then you were vulnerable. In facct, you were probably dead, or enslaved.
It didn't matter that base reality was petty and grey and mean and demeaning and quite empty of meaning compared to the glorious majesty of the multi-hued life you'd been living through metamethics; it didn't matter that base reality was of no consequence aesthetically, hedonistically, metamathically, intellectually and philosophically; if that was the single foundation-stone that all your higher-level comfort and joy rested upon, and it was kicked away from underneath you, you fell, and your limitless pleasure realms fell with you.
It was just like some ancient electricity-powered computer; it didn't matter how fast, error-free and tireless it was, it didn't matter how great a labour-saving boon it was, it didn't matter what it could do or how many different ways it could amaze; if you pulled its plug out, or just hit the Off button, all it became was a lump of matter; all its programs became just settings, dead instructions, and all its computations vanished as quickly as they'd moved.
It was, also, like the dependency of the human-basic brain on the human-basic body; no matter how intelligent, perceptive and gifted you were, no matter how entirely you lived for the ascetic rewards of the intellect and eschwed the material world and the ignobility of the flesh, if your heart just gave out...
That was the Dependency Principle; that you could never forget where your Off switches were located, even if it was somewhere tiresome.
{{< /blockquote >}}

I love this section for a few reasons:
* imagining what kinds of pleasures or pastimes a non-corporeal transhuman being might enoy is interesting! Carnal pleasures rely on embodiment, and though the qualia that they trigger could be simulated (c.f. [wireheading](https://www.lesswrong.com/tag/wireheading)), it's instructive to imagine what other pastimes might move to the forefront for a being that is purely a mind (or, rather, a Mind). Greg Egan's [Diaspora](https://en.wikipedia.org/wiki/Diaspora_(novel)) explores this idea a little from an even-more-advanced civilizational viewpoint than the Culture's.
* the parallels with pleasurable experiences for humans (most clearly, drugs) are obvious and instructive. As I've learned more about the idea of [Jhana](https://en.wikipedia.org/wiki/Dhyana_in_Buddhism) (grossly over-simplifying from a layman's perspective - a state of blissful equanimity achieved via meditation and mindfulness. Not a "pleasure button", but a "calm satisfaction button") and as I've been embracing my unemployed life as a Gentleman Of Leisure, I've been trying to think more about my attitude towards pleasure, recreation, rest, and how best to use one's time (my friend [Olivia](https://twitter.com/babelfishwars/) will be pleased that I didn't use the word "productive" here!). It's a helpful thought experiment to imagine a non-damaging, non-addictive, non-costly, no-negative-externalities source of positive experiences and to think about how I would interact with it, even if attainment of it is beyond my unelightened, unawakened mind.
* the recognition that mathematics (not just metamathics!) is about constructing new systems and then poking at them to find out what interesting properties they might have. Too many people have the notion that advanced mathematics is just about "_dealing with bigger numbers_" or "_finding faster or more generalized ways to solve problems_" - and while, sure, yes, [some mathematics is like that](https://www.youtube.com/watch?v=1N6cOC2P8fQ) (in particular, the kind that you can earn a living from doing is normally about the latter), there are broad swathes of mathematics that simply deal with a benign form of "_fucking around and finding out_" - and the delight that arises from uncovering cool shit (structure, patterns, relations) within a previously-unknowable and -unintuitive area is orders-of-magnitude more satisfying than simply "_solving a real-world problem_"
* the recognition that, whatever towering edifices of beautiful abstraction we might build (whether technological or mental), they all have a foundation in this "base" reality ("_Despite all our accomplishments, we owe our existence to a six-inch layer of topsoil and the fact it rains_"). See also - the oft-forgotten and invisible behind-the-scenes work that women (or, in older settings, slaves) do to support ["Great" men](https://twitter.com/hondanhon/status/1548344576020058116).