---
title: "Write Only Mode for Twitter"
date: 2022-05-08T12:45:44-07:00
tags:
  - MentalHealth
---
A few weeks ago, I decided to step back from using Twitter so actively. There are certainly a lot of good things about Twitter - it's entertaining and informative - but, from a mindset of [Digital Minimalism](https://www.calnewport.com/books/digital-minimalism/), I could not honestly say that it was doing me more good than harm.
<!--more-->
Three particular points (which are deliberate parts of Twitter's design) stood out:
* It's addictive. I never actually analyzed how many unintentional minutes I'd spent on Twitter (that is - time beyond the time that I had consciously and deliberately intended to spend on it) each week, but I'm sure it would horrify.
* It's rage-inducing and exhausting. The algorithm recognizes that inflammatory and negative content gets more engagement - and shows you more of it. If you try to correct a misapprehension, the limitation of 280 characters makes it nearly impossible to make a point that won't be misunderstood (or countered with something equally facile).
* It's attention-degrading. My ability to focus (particularly on longform reading) has noticably degraded since I started using Twitter earnestly.

In the few weeks since I changed my personal account's password to intentionally lock myself out, I cannot honestly say that I empathise with [Robin Sloan](https://www.robinsloan.com/lab/lost-thread/) that:

> The speed with which Twitter recedes in your mind will shock you. Like a demon from a folktale, the kind that only gains power when you invite it into your home, the platform melts like mist when that invitation is rescinded.

In fact, I still often have thoughts that make me think "_That would make a good tweet_" - not just "_That was an interesting or insightful thought_", but "_The form or content of that thought would 'do well' on Twitter_". More proof, if proof were needed, that I should probably be (and have been) engaging with it less.

## So what?

As the saying goes - this isn't an airport, you don't have to announce your departure. Well, three reasons:
* This is a blog, and blogs require content :P
* Talking in public normalizes. If this encourages someone else to critically re-evaluate their relationship with social media, that is a good thing!
* As is my way, I wrote a [software tool](https://github.com/scubbo/writeOnlyTwitter) to help with a personal goal - a tool to post to Twitter from the command-line without actually going to the Twitter site itself. The hope is that this will let me scratch that "_I should tweet that_" urge from my personal account without either getting the urge to start scrolling the timeline, or getting the reinforcement feedback of notification of likes/RTs/replies. Eventually, I hope to use this tool to automatically tweet (from my [professional account](https://twitter.com/jacksquaredson/)) when a new blog post is published.

(No, my personal account isn't linked from this post. That's deliberate. You can probably find it without too much effort - but I'm not planing to advertize it)

## What replaces it?

A point that came up in conversation with [George](https://www.georgelockett.com/shards) was the question of what to use to fill those liminal times, when you don't have the time to properly start reading a book or article. I don't have a good answer - Twitter, I must admit, is extremely well-suited to providing bite-sized reading (even while we acknowledge that that is not, itself, necesssarily a good thing). Two suggestions:
* Find a Twitter thread of Best Of Tumblr screenshots or similar (I recommend [this](https://twitter.com/exaltiora/status/1523422802711171072) or [this](https://twitter.com/woniiwasp/status/1522763544751747072)/[this](https://twitter.com/xoDrVenture/status/1188222250513850373)). Keep it live on your phone's browser, and read _that_ when you're tempted to read Twitter instead. You can't respond, and Tumblr tends to be less inflammatory than Twitter anyway ([citation needed])
* Use that time for mindfulness meditation! Easier said than done, but many worthwhile things are.
